Warehouses
1 API call in this section.
List Warehouses
External & Carrier Integrations / Warehouses
GET
/external/warehousesList tenant warehouses with filtering and pagination.
tenant_id
Responses
200 success; 403 insufficient_permissions; 404 tenant_not_found; 500 internal_server_error.
Query parameters
| Parameter | Type | Description |
|---|---|---|
pageOptional | string | Page number (optional, default 1) Example: |
limitOptional | string | Items per page (optional, default 10) Example: |
statusOptional | string | Filter by status (optional) |
codeOptional | string | Filter by code (optional) |
searchOptional | string | Search name/code (optional) |
total_capacity_orderOptional | string | Order by Example: |
available_capacity_orderOptional | string | Order by Example: |
customer_idOptional | string | Filter by customer access (optional) |
Headers
| Parameter | Type | Description |
|---|---|---|
X-API-Key | string | Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/external/warehouses?page=1&limit=10&status=&code=&search=&total_capacity_order=&available_capacity_order=&customer_id=" \2 --header "X-API-Key: ${ONDI_TENANT_API_KEY}"Response examples
200OK
Response body
json
1{2 "success": true,3 "error": null,4 "message": "Warehouses retrieved successfully",5 "warehouses": [6 {7 "id": "wh-uuid",8 "name": "Main WH",9 "code": "WH-001",10 "address": {11 "id": "addr",12 "full_address": "..."13 }14 }15 ],16 "page": 1,17 "limit": 10,18 "total": 119}